Name:		ceibal-actualizador
Version:	3.0
Release:	10.uy
Summary:	Actualizador Ceibal para las XO

License:	GPLv2+
URL:		https://desarrollo.ceibal.edu.uy
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:		noarch
BuildRequires:		python
Requires:		python-ceibal-libxo >= 1.0

Patch1: actualizador.patch
Patch2: jumpc.path
Patch3: jumpc-2.path
Patch4: jumpc-3.patch
Patch5: jumpc-4.patch
Patch6: 006-actualizador.patch
Patch7: es_xo_175.patch

%description
Actualizador Ceibal para las XO. Se realiza un chequeo diario por nuevas actualizaciones.

%prep
%setup -q
%patch1 -p2
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 711 actualizador.py $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
echo "*/5 * * * * root python /usr/sbin/actualizador.py" > $RPM_BUILD_ROOT/etc/cron.d/actualizador

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%{_sbindir}/actualizador.py
/etc/cron.d/actualizador

%changelog

* Fri Sep 28 2012 Ruben Rodriguez <ruben@activitycentral.com> - 3.0-10
- Fixed line in patch 6 that changes ownership of / to olpc.olpc

* Tue Feb 23 2012 earias <earias@plan.ceibal.edu.uy> - 3.0-9
- Verifica si es una XO contemplando XO-1.75

* Tue May 25 2011 ebordon <ebordon@plan.ceibal.edu.uy> - 3.0-8
- Unifica check_env y agrega chequeo de MG2

* Mon May 16 2011 earias <earias@plan.ceibal.edu.uy> - 3.0-7
- chequea carpeta temporal

* Mon Feb 14 2011 earias <earias@plan.ceibal.edu.uy> - 3.0-6
- chequea permisos de mi_version

* Thu Feb 10 2011 earias <earias@plan.ceibal.edu.uy> - 3.0-5
- Realiza el chequeo archivos solo para xo

* Wed Jan 12 2011 earias <earias@plan.ceibal.edu.uy> - 3.0-4
- Se agrega soporte para jumPc

* Mon Aug 03 2010 ebordon <ebordon@plan.ceibal.edu.uy> - 3.0-3
- Se agrega el parche actualizador.patch cambiando los permisos del archivo mi_version
